# -*- coding:utf-8 -*-
import hashlib


# 接口根地址
XBB_API_ROOT = "http://dingapi.xbongbong.com"
# 本公司访问接口的token
token = ""
# 本公司corpid
corpid = ""

# ---------------------------------------------客户模块接口地址 - ----------------------------------------------- #
# 客户列表接口
CUSTOMER_SIMPLE_LIST = "/api/v1/customer/simpleList.html"


# 生成随机签名
def random_sign(data, access_token):
    parameters = str(str(data).strip() + access_token).encode('utf-8')
    return hashlib.sha256(parameters).hexdigest()


# 拼装请求地址
def get_api_url(restApiUrl):
    return XBB_API_ROOT + restApiUrl
